Subject: bug#5434: 23.1; Emacsclient fails with Rejected Authentication Over SSH

From: "Joel J. Adamson" <[email-masked]>
Date: Wed, 20 Jan 2010 11:21:43 -0500

Please write in English if possible, because the Emacs maintainers
usually do not have translators to read other languages for them.

Your bug report will be posted to the [email-masked] mailing list,
and to the gnu.emacs.bug news group.

Please describe exactly what actions triggered the bug
and the precise symptoms of the bug:

Having started an Emacs session on <remote-host> (the machine that
generate this bug report), logging in via ssh and attempting to bring up
an Emacs frame using 'emacsclient -c' on the local display yields

,----
| *ERROR*: Display localhost:10.0 can't be opened
`----

From Emacs.

,----
| $ emacsclient -c
`----

immediately yields

,----
| X11 connection rejected because of wrong authentication.
`----

This completely disables X11 forwarding FOR EMACSCLIENT ONLY.
Gnome-terminal still works.  Changing default xauth does not help.
Deleting ~/.Xauthority on localhost and remote-host does not affect the
problem.

Basically emacsclient doesn't work over ssh.  Bummer!

If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
If you would like to further debug the crash, please read the file
/usr/share/emacs/23.1/etc/DEBUG for instructions.

In GNU Emacs 23.1.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.18.3)
 of 2009-12-03 on x86-5.fedora.phx.redhat.com
Windowing system distributor `Fedora Project', version 11.0.10704000
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--target=x86_64-redhat-linux-gnu' '--program-prefix=' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'target_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t

Major mode: Org-Agenda Week Grid

Minor modes in effect:
  diff-auto-refine-mode: t
  which-function-mode: t
  show-paren-mode: t
  savehist-mode: t
  epa-global-mail-mode: t
  display-time-mode: t
  shell-dirtrack-mode: t
  tooltip-mode: t
  tool-bar-mode: t
  mouse-wheel-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  blink-cursor-mode: t
  global-auto-composition-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
0 <help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <down-mouse-1> <mouse-1> N 
o n - g o o g l e M-b M-c SPC D i s c u s s i o n SPC 
B o a r d M-} C-n I SPC m a y SPC h a v e SPC m i s 
s e d SPC s o m e t h i n g , SPC b u t SPC i t SPC 
l o o k s SPC l i k e SPC I SPC c a n SPC o o n l y 
SPC j o i n SPC t h e SPC f o r u m SPC b y SPC c r 
e a t i n g SPC a SPC G o o g l e SPC a c c o u n t 
. SPC SPC I S-SPC w o u l d SPC p r e f e r SPC t o 
SPC t a k e SPC a a p M-D p a r t SPC i n SPC d s <backspace> 
i s c u s s i o n s SPC w o u M-D w i t h o u t SPC 
h a v i n g SPC a SPC g o o g l e M-b M-c SPC a c c 
o u n t . SPC SPC I s SPC t h e r e SPC w a M-D a SPC 
w a y SPC t o SPC d o SPC t h i s ? C-j C-j T h a n 
k s , C-j C-j J o e l C-c C-c C-x 5 0 M-x r e p o r 
t SPC e m a c s SPC SPC <return>

Recent messages:
Processing deletes and refiles for +mhe-index/sequence/unseen...done
No current message
Composing a message...
Type C-c C-c to send message, C-c ? for help
When done with this frame, type C-x 5 0
Spell-checking region using aspell with default dictionary...done
Spell-checking region using aspell with default dictionary...done
Saving file /home/joel/Mail/draft...
Wrote /home/joel/Mail/draft
Sending...backgrounded

-- 
Joel J. Adamson	-- http://www.unc.edu/~adamsonj
Servedio Lab
University of North Carolina at Chapel Hill
CB #3280, Coker Hall
Chapel Hill, NC 27599-3280